### Function

# WebKit WebExtensionMatchPattern register_custom_URL_scheme

since: 2.48

#### Declaration [src]

    void
    webkit_web_extension_match_pattern_register_custom_URL_scheme (
      const gchar* urlScheme
    )

#### Description [src]

Registers a custom URL scheme that can be used in match patterns.

This method should be used to register any custom URL schemes used by the app for the extension base URLs, other than `webkit-extension`, or if extensions should have access to other supported URL schemes when using `<all_urls>`.

Available since: 2.48

#### Parameters

`urlScheme`

  Type: `const gchar*`

  The custom URL scheme to register.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.